#!/usr/bin/env python3

from sphinx.directives import ObjectDescription
from sphinx.domains import ObjType


class Episode(ObjType):
    pass


class Place(ObjType):
    pass


class Setting(ObjType):
    pass


class Scene(ObjType):
    pass


class EpisodeDirective(ObjectDescription):

    has_content = True


class SceneDirective(ObjectDescription):

    has_content = True


class PlaceDirective(ObjectDescription):

    has_content = True


class SettingDirective(ObjectDescription):

    has_content = True
