#!/usr/bin/env python3

from sphinx.directives import ObjectDescription
from sphinx.domains import ObjType


class Event(ObjType):
    pass


class Action(ObjType):
    pass


class Update(ObjType):
    pass


class EventDirective(ObjectDescription):

    has_content = True


class ActionDirective(ObjectDescription):

    has_content = True


class UpdateDirective(ObjectDescription):

    has_content = False
